Skip to main content
POST
/
v1
/
chat
/
completions
Chat Completion
curl --request POST \
  --url https://www.anyfast.ai/v1/chat/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "claude-sonnet-4-6",
  "messages": [
    {
      "role": "user",
      "content": "Hello!"
    }
  ],
  "max_tokens": 2,
  "temperature": 1,
  "top_p": 0.5,
  "frequency_penalty": 0,
  "presence_penalty": 0,
  "stream": false,
  "stop": "<string>",
  "n": 1,
  "response_format": {
    "type": "text"
  },
  "tools": [
    {}
  ],
  "tool_choice": "<string>",
  "user": "<string>"
}
'
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 123,
  "model": "claude-sonnet-4-6",
  "choices": [
    {
      "index": 123,
      "message": {
        "role": "assistant",
        "content": "Hello! How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "total_tokens": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

Model ID to use for completion.

Available options:
claude-sonnet-4-6,
claude-sonnet-4-5-20250929,
claude-sonnet-4-20250514,
claude-opus-4-6,
claude-opus-4-5-20251101,
claude-opus-4-1-20250805,
claude-opus-4-20250514,
claude-haiku-4-5-20251001,
claude-3-7-sonnet-20250219,
claude-3-5-sonnet-20241022,
gpt-5-4,
gpt-5-3-codex,
gpt-5-2,
gpt-5-2-chat,
gpt-5-2-chat-latest,
gpt-5-2-codex,
gpt-5-1,
gpt-5-1-chat,
gpt-5-1-chat-latest,
gpt-5-1-codex-mini,
gpt-5,
gpt-5-chat-latest,
gpt-5-pro,
gpt-5-codex,
gpt-5-codex-high,
gpt-5-codex-low,
gpt-5-mini,
gpt-5-nano,
gpt-4o,
gpt-4o-mini,
gpt-4-1,
gpt-4,
deepseek-v3-2-speciale,
deepseek-v3-2,
deepseek-v3-2-exp,
deepseek-v3-2-251201,
deepseek-v3-1-terminus,
deepseek-v3-1,
deepseek-v3,
qwen3.5-397b-a17b,
qwen3-coder-next,
qwen3-coder,
qwen3-235b-a22b,
qwen3-32b,
qwen3-14b,
qwen2.5-72b-instruct,
doubao-seed-2.0-pro,
doubao-seed-2.0-code,
doubao-seed-2.0-lite,
doubao-seed-2.0-mini,
doubao-seed-1-8-251228,
doubao-seed-1-6-flash-250828,
doubao-seed-1-6-251015,
doubao-seed-1-6-lite-251015,
doubao-seed-1-6-vision-250815,
minimax-m2.5,
minimax-m2.1,
kimi-k2.5,
grok-3,
grok-3-mini,
grok-4-fast-reasoning,
grok-4-fast-non-reasoning,
grok-4-1-fast-reasoning,
grok-4-1-fast-non-reasoning,
gemini-3.1-pro-preview,
gemini-3.1-flash-image-preview,
gemini-3-pro-preview,
gemini-3-flash-preview,
gemini-2.5-pro,
gemini-2.5-flash,
gemini-2.0-flash,
glm-4-7-251222
Example:

"claude-sonnet-4-6"

messages
object[]
required

A list of messages comprising the conversation so far.

Minimum array length: 1
Example:
[{ "role": "user", "content": "Hello!" }]
max_tokens
integer

The maximum number of tokens to generate in the chat completion.

Required range: x >= 1
temperature
number
default:1

Sampling temperature between 0 and 2. Higher values make output more random, lower values more deterministic.

Required range: 0 <= x <= 2
Example:

1

top_p
number

Nucleus sampling threshold. An alternative to temperature.

Required range: 0 <= x <= 1
frequency_penalty
number
default:0

Penalizes new tokens based on their existing frequency in the text so far.

Required range: -2 <= x <= 2
presence_penalty
number
default:0

Penalizes new tokens based on whether they appear in the text so far.

Required range: -2 <= x <= 2
stream
boolean
default:false

If true, partial message deltas will be sent as server-sent events.

stop

Up to 4 sequences where the API will stop generating further tokens.

n
integer
default:1

How many chat completion choices to generate for each input message.

Required range: x >= 1
response_format
object

An object specifying the format that the model must output. Setting to {"type": "json_object"} enables JSON mode.

tools
object[]

A list of tools the model may call. Currently, only functions are supported as a tool.

tool_choice

Controls which (if any) tool is called by the model.

user
string

A unique identifier representing your end-user.

Response

Completion generated successfully

id
string
required
Example:

"chatcmpl-abc123"

object
string
required
Example:

"chat.completion"

created
integer
required

Unix timestamp of when the completion was created.

model
string
required
Example:

"claude-sonnet-4-6"

choices
object[]
required
usage
object